مدفوعات الحساب

GET https://25url.com/api/payments/
curl --request GET \
--url 'https://25url.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
processor اختياري سلسلة القيم المسموح بها: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status اختياري سلسلة القيم المسموح بها: paid, pending, cancelled, refunded
type اختياري سلسلة القيم المسموح بها: one_time, recurring
frequency اختياري سلسلة القيم المسموح بها: monthly, quarterly, biannual, annual, lifetime
datetime_field اختياري سلسلة القيم المسموح بها: datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة بالحقل الذي سيتم ترتيب النتائج حسبه. القيم المسموح بها هي: id, datetime, total_amount.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي ترغب في الحصول على النتائج منها. الافتراضي هو 1
results_per_page اختياري عدد صحيح كم عدد النتائج التي ترغب في عرضها في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-04 14:58:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://25url.com/api/payments?page=1",
        "last": "https://25url.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://25url.com/api/payments?page=1"
    }
}
GET https://25url.com/api/payments/{payment_id}
curl --request GET \
--url 'https://25url.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-04 14:58:43",
    }
}